class CreateContributionForm extends Form {
  static autoInit() {
    let createContributionFormElements = document.querySelectorAll('.create-contribution-form');
    for (let createContributionFormElement of createContributionFormElements) {
      new CreateContributionForm(createContributionFormElement);
    }
  }

  constructor(formElement) {
    super(formElement);

    this.addEventListener('requestLoad', (event) => {
      if (event.target.status === 201) {
        window.location.href = event.target.getResponseHeader('Location');
      }
    });
  }
}
